For more help you can see the xchat plugin interface documentation.
http://www.xchat.org/docs/plugin20.html
WARNING: The dbus interface may change in the future. DBUS plugin isn't
         stable yet and may have bugs especially when more than one client
         are using the DBUS service at the same time.

Available methods:

"command"
  - Parameters:
    - gchar*: the command name without the "/". (e.g. "nick pseudo")

"print"
  - Parameters:
    - gchar*: text to print on the xchat window.

"SetContext"
Switch the D-BUS plugin to another context. It does xchat_find_context() then xchat_set_context()
  - Parameters:
    - gchar*: the server name. Can be NULL.
    - gchar*: the channel name. Can be NULL.

"GetInfo"
  - Parameters:
    - gchar*: ID of the information you want.
  - Returns:
    - gchar*: information you requested.

"GetPrefs"
  - Parameters:
    - gchar*: Setting name required.
  - Returns:
    - int: 0-Failed 1-Returned a string 2-Returned an Integer 3-Returned a Boolean.
    - gchar*: the information requested if it's a string.
    - int: the information requested if it's a integer or boolean.

"HookCommand"
  - Parameters:
    - gchar*: Name of the command (without the forward slash).
    - int: Priority of this command.
    - gchar*: String of text to display when the user executes /help for this command. May be NULL if you're lazy.
    - int: Value to returns when the command is catched. See XCHAT_EAT_*.
  - Returns:
    - int: The ID of the hook.

"HookServer"
  - Parameters:
    - gchar*: Name of the server event.
    - int: Priority of this command.
    - int: Value to returns when the command is catched. See XCHAT_EAT_*.
  - Returns:
    - int: The ID of the hook.

"HookPrint"
  - Parameters:
    - gchar*: Name of the print event.
    - int: Priority of this command.
    - int: Value to returns when the command is catched. See XCHAT_EAT_*.
  - Returns:
    - int: The ID of the hook.

"unhook"
  - Parameters:
    - int: ID of the hook to unhook. (the return value of "HookCommand", "HookServer" or "HookPrint").



Available signals:

"ServerSignal"
  - Parameters:
    - gchar**: word returned by xchat.
    - gchar**: word_eol returned bu xchat.
    - int: the ID of the hook. (the return value of "HookServer").

"CommandSignal"
  - Parameters:
    - gchar**: word returned by xchat.
    - gchar**: word_eol returned bu xchat.
    - int: the ID of the hook. (the return value of "HookCommand").

"PrintSignal"
  - Parameters:
    - gchar**: word returned by xchat.
    - gchar**: word_eol returned bu xchat.
    - int: the ID of the hook. (the return value of "HookPrint").
